﻿using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace WGneu.Models {
    [Table("AT_plz_dest"), PrimaryKey("Id"), Index("Plz", "Okz", IsUnique = true)]
    public class AT_PlzDest {
        [Column("plz")]
        public int Plz { get; set; }

        [Column("okz")]
        public int Okz { get; set; }

        [Column("country")]
        public string CountryCode { get; }

        [Column("id")]
        public string Id { get; }

        [Column("dest")]
        public string Dest { get; set; }

        [ForeignKey("Plz")]
        public virtual AT_Plz AtPlz { get; set; }

        [ForeignKey("Okz")]
        public virtual AT_Ort Ort { get; set; }

        [ForeignKey("CountryCode")]
        public virtual Country Country { get; set; }
    }
}
